Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Michael Heerdegen <[email-masked]>
Date: Thu, 06 Dec 2018 13:15:43 +0100

Juri Linkov <[email-masked]> writes:

> Isn't this binding of shift-left and shift-right from Org mode?

No, I simply have personal global bindings for these:

(global-set-key [(shift left)]  #'backward-char)
(global-set-key [(shift right)] #'forward-char)

> I tried their original keybindings
>
> (define-key isearch-mode-map [(shift left)]  'left-char)
> (define-key isearch-mode-map [(shift right)] 'right-char)
>
> but it still doesn't work.  Maybe we should support shift-key in
> isearch explicitly, not relying on this-command-keys-shift-translated.

Maybe, I dunno.  If something prominent as org-mode interferes with
that, it would probably good to find a solution.

Michael.